Create Sales Condition
curl --request POST \
--url https://api.example.com/create-sales-condition \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
"<unknown>"
],
"id": 123,
"endpoint": "shipment",
"user_id": "<string>",
"custom_title": "<string>",
"language": "en"
}
'import requests
url = "https://api.example.com/create-sales-condition"
payload = {
"messages": ["<unknown>"],
"id": 123,
"endpoint": "shipment",
"user_id": "<string>",
"custom_title": "<string>",
"language": "en"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
messages: ['<unknown>'],
id: 123,
endpoint: 'shipment',
user_id: '<string>',
custom_title: '<string>',
language: 'en'
})
};
fetch('https://api.example.com/create-sales-condition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Create Sales Condition
POST
/
create-sales-condition
Create Sales Condition
Create Sales Condition
Endpoint for creating sales condition data.Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| messages | array | Yes | Conversation messages |
| id | integer | No | Conversation ID |
| endpoint | string | No | Endpoint name (default: “shipment”) |
| user_id | string | No | User ID |
| custom_title | string | No | Custom conversation title |
| language | string | No | Language code (default: “en”) |
Responses
| Status | Description | Content Type |
|---|---|---|
| 200 | Sales condition created | application/json |
| 422 | Validation Error | application/json |
⌘I